Bug 182921

Summary: Support OffscreenCanvas as a CanvasImageSource type in CanvasDrawImage, CanvasFillStrokeStyles
Product: WebKit Reporter: Zan Dobersek <zan>
Component: CanvasAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal CC: aperez, cdumez, clord, commit-queue, dino, don.olmstead, drousso, esprehn+autocc, ews, ggaren, gyuyoung.kim, joepeck, koivisto, kondapallykalyan, rniwa, ross.kirsling, sam, thorton, webkit-bug-importer, zan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 182686    
Bug Blocks: 183720    
Attachments:
Description Flags
WIP patch
none
Patch
none
Patch none

Description Zan Dobersek 2018-02-19 00:59:27 PST
OffscreenCanvas should be listed in the CanvasImageSource typedef in CanvasDrawImage.idl and CanvasFillStrokeStyles.idl.

Implementation-wise, all of the code is already there, but it has to be broadened from covering only HTMLCanvasElement objects to covering CanvasBase instead.
Comment 1 Zan Dobersek 2018-02-19 01:00:47 PST
Created attachment 334142 [details]
WIP patch
Comment 2 Chris Lord 2019-10-10 03:15:57 PDT
Created attachment 380625 [details]
Patch
Comment 3 Chris Lord 2019-11-25 09:22:19 PST
Created attachment 384301 [details]
Patch
Comment 4 Antti Koivisto 2019-11-25 09:31:56 PST
Comment on attachment 384301 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2019-11-25 10:15:57 PST
Comment on attachment 384301 [details]
Patch

Clearing flags on attachment: 384301

Committed r252864: <https://trac.webkit.org/changeset/252864>
Comment 6 WebKit Commit Bot 2019-11-25 10:16:00 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2019-11-25 10:16:26 PST
<rdar://problem/57475517>